import { ValidActions } from "../args/types.js";
import * as add from "./add/functions.js";
import * as record from "./record/functions.js";
export class Action {
    constructor(action) {
        this.action = action;
        this.functionRegister = ValidActions.reduce((fr, action) => {
            fr[action] = this[`${action}With`];
            return fr;
        }, {});
    }
    async doWith(params, config) {
        (await this.functionRegister[params.action]) &&
            this.functionRegister[params.action](params, config);
    }
    async recordWith(params, config) {
        await record.doWith(params, config);
    }
    async addWith(params, config) {
        await add.doWith(params, config);
    }
}
