import { FileType, IFileTree, INode } from "./types.js";
import { IParams } from "../../../args/types.js";
import { IConfig } from "../../../config/types.js";
export declare const diffTreesToConfig: (preTree: FileTree, postTree: FileTree, params: IParams, config: IConfig) => Promise<void>;
export declare class Node implements INode {
    hash: string;
    type: FileType;
    identifier: string;
    rootPath: string;
    pathPrefix: string;
    nodes: INode[];
    constructor(rootPath: string, pathPrefix: string, identifier: string);
    toString(): string;
    calculateHash(withData: string): string;
}
export declare class FileTree implements IFileTree {
    rootDir: string;
    rootProjectedDir: string;
    rootNode: Node;
    constructor(rootDir: string, rootProjectedDir: string);
    parseFiles(): Promise<void>;
}
