import { IConfigOptions } from "../config/types";
export interface IAction {
    action: string;
}
export declare const ValidTypes: readonly ["CREATE", "MODIFY"];
export declare type ValidType = typeof ValidTypes[number];
export declare const isValidType: (type: string) => type is "CREATE" | "MODIFY";
export declare type Operation = CreateOperation | ModifyOperation;
export interface CreateOperation {
    type: ValidType;
    path: string;
    data: string;
}
export declare const isValidCreateOperation: (operation: Operation) => operation is CreateOperation;
export interface ModifyOperation {
    type: ValidType;
    path: string;
    inserts: Array<{
        options: {
            lineStart: number;
            colStart: number;
        };
        data: string;
    }>;
}
export declare const isValidModifyOperation: (operation: Operation) => operation is ModifyOperation;
export interface IIdConfig {
    id: string;
    options?: IConfigOptions;
    params?: string[][];
    operations?: Array<Operation>;
}
